Bug 436831 - Review Request: gbrainy - Gbrainy is a brain teaser game and trainer to keep your brain trained
Summary: Review Request: gbrainy - Gbrainy is a brain teaser game and trainer to keep ...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 330831 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-10 18:24 UTC by Benoît Marcelin
Modified: 2008-06-08 17:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-08 17:49:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Benoît Marcelin 2008-03-10 18:24:30 UTC
Spec URL: http://sereinity.free.fr/fedora/gbrainy.spec
SRPM URL: http://sereinity.free.fr/fedora/gbrainy-0.60-1.fc8.src.rpm
Description: gbrainy is a brain teaser game and trainer to have
fun and to keep your brain trained.

It provides the following types of games:

* Logic puzzles. Games designed to challenge your
        reasoning and thinking skills.
* Mental calculation. Games based on arithmetical
        operations designed to prove your mental calculation skills.
* Memory trainers. Games designed to challenge your short term memory.

Comment 1 Mamoru TASAKA 2008-03-19 17:43:47 UTC
*** Bug 330831 has been marked as a duplicate of this bug. ***

Comment 2 Benoît Marcelin 2008-03-24 14:44:14 UTC
Update to 0.61 :
SPEC URL: http://sereinity.free.fr/fedora/gbrainy.spec
SRPM URL: http://sereinity.free.fr/fedora/gbrainy-0.61-1.fc8.src.rpm


Comment 3 Benoît Marcelin 2008-03-24 16:18:33 UTC
New release :
SPEC URL: http://sereinity.free.fr/fedora/gbrainy.spec
SRPM URL: http://sereinity.free.fr/fedora/gbrainy-0.61-2.fc8.src.rpm

Comment 4 Benoît Marcelin 2008-03-29 15:15:00 UTC
Another ...
SPEC URL: http://sereinity.free.fr/fedora/gbrainy.spec
SRPM URL: http://sereinity.free.fr/fedora/gbrainy-0.61-4.fc8.src.rpm

Comment 5 Remi Collet 2008-03-29 15:40:35 UTC
REVIEW :

- rpmlint output 2 errors. Seems ok for mono.
gbrainy.x86_64: E: no-binary
gbrainy.x86_64: E: only-non-binary-in-usr-lib
- The package is named according to the Package Naming Guidelines
- The spec file name match the base package 
- The package meet the  Packaging Guidelines
- The package is licensed with a Fedora approved license 
- The License field in the package spec file match the actual license (GPLv2)
- the text of the license(s) for the package is included in %doc.
- The spec file for the package is be legible. 
- The sources used to build the package match the upstream source
9e85c503475f04955e48e1b2728700f4  gbrainy-0.61.tar.gz
- successfully compile and build into binary rpms (F8 i386 + x86_64)
- ExcludeArch : ppc64
- BuildRequires ok
- locales ok
- no shared libs
- no duplicate files in the %files
- Permissions on files are set properly
- %clean section
- consistently use macros
- contain code
- no Large documentation
- %doc  don't affect the runtime of the application
- no header / library
- include a %{name}.desktop
- don't own files or directories already owned by other packages
- %install, start with rm -rf %{buildroot}
- filenames in rpm packages are valid UTF-8.
- works fine (except i never find the answer, must be a bug)
- build in mock (F8, i386)

APPROVED



Remember to file a bug against Bug #238953 (ExcludeArch Tracker for ppc64)


Comment 6 Benoît Marcelin 2008-03-29 15:56:03 UTC
New Package CVS Request
=======================
Package Name: gbrainy
Short Description: gbrainy is a brain teaser game and trainer to have
fun and to keep your brain trained.
Owners: sereinit
Branches: F-7 F-8
InitialCC: none
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-03-29 18:51:05 UTC
cvs done.

Comment 8 Mamoru TASAKA 2008-03-29 18:52:33 UTC
A few comments:

- License seems GPLv2+.
- Please fix directory ownership issue (%_libdir/%name is not owned
  by any packages)

Comment 9 Brian Pepple 2008-05-25 20:51:38 UTC
Benoît, has Mamoru's suggestions from comment #8 been fixed?

Also, it looks like this package has been built, if so this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.